import { Host, h } from "@stencil/core";
import { watchBlockNumber } from "@wagmi/core";
import state from "../../stores/wallet";
export class NKDropSupplyText {
    constructor() {
        this.supply = undefined;
        this.maxAmount = undefined;
    }
    componentWillLoad() {
        var _a;
        this.disconnect = watchBlockNumber({ listen: true, chainId: (_a = state.chain) === null || _a === void 0 ? void 0 : _a.id }, async () => {
            const [supply, maxAmount] = await Promise.all([
                state.diamond.base.totalSupply(),
                state.diamond.apps.drop.maxAmount(),
            ]);
            this.supply = Number(supply);
            this.maxAmount = Number(maxAmount);
        });
    }
    disconnectedCallback() {
        this.disconnect();
    }
    render() {
        return (h(Host, null, this.maxAmount === 0
            ? this.supply
            : `${this.supply} / ${this.maxAmount}`, h("slot", null)));
    }
    static get is() { return "nk-drop-supply-text"; }
    static get encapsulation() { return "shadow"; }
    static get states() {
        return {
            "supply": {},
            "maxAmount": {}
        };
    }
}
//# sourceMappingURL=nk-drop-supply-text.js.map
