import { h } from "@stencil/core";
import { initialize } from "../../stores/onboarding";
import { PRO_MINTLINK_DEV, PRO_MINTLINK } from "../../constants/links";
export class NKProMintButton {
    constructor() {
        this.collectionId = undefined;
        this.publicKey = undefined;
        this.isDev = undefined;
        this.unique = undefined;
        this.mintLinkId = null;
    }
    async componentWillLoad() {
        const data = await initialize(this.collectionId, this.publicKey, this.isDev, this.unique);
        this.mintLinkId = data.id;
    }
    render() {
        return (h("div", { part: "mint-btn-container" }, h("a", { part: "mint-btn", href: this.isDev
                ? `${PRO_MINTLINK_DEV}${this.mintLinkId}`
                : `${PRO_MINTLINK}${this.mintLinkId}`, target: "_blank", rel: "noreferrer", class: "mdc-button mdc-button--raised" }, h("span", { class: "mdc-button__ripple" }), h("span", { class: "mdc-button__touch" }), h("span", { class: "mdc-button__label" }, h("slot", null)))));
    }
    static get is() { return "nk-pro-mint-button"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["nk-pro-mint-button.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["nk-pro-mint-button.css"]
        };
    }
    static get properties() {
        return {
            "collectionId": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": true,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Collection ID"
                },
                "attribute": "collection-id",
                "reflect": false
            },
            "publicKey": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": true,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Public Key"
                },
                "attribute": "public-key",
                "reflect": false
            },
            "isDev": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "is-dev",
                "reflect": false
            },
            "unique": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "unique",
                "reflect": false
            }
        };
    }
    static get states() {
        return {
            "mintLinkId": {}
        };
    }
}
//# sourceMappingURL=nk-pro-mint-button.js.map
