import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { w as watchAccount } from './chunk-TSH6VVF4.js';

const NKIsConnected = /*@__PURE__*/ proxyCustomElement(class NKIsConnected extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.isConnected = false;
    }
    componentWillLoad() {
        this.disconnect = watchAccount((account) => {
            this.isConnected = account.isConnected;
        });
    }
    disconnectedCallback() {
        this.disconnect();
    }
    render() {
        return h(Host, null, this.isConnected ? h("slot", null) : null);
    }
}, [1, "nk-is-connected", {
        "isConnected": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nk-is-connected"];
    components.forEach(tagName => { switch (tagName) {
        case "nk-is-connected":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NKIsConnected);
            }
            break;
    } });
}

const NkIsConnected = NKIsConnected;
const defineCustomElement = defineCustomElement$1;

export { NkIsConnected, defineCustomElement };

//# sourceMappingURL=nk-is-connected.js.map