import { MDCSelect } from '@material/select';
import { BigNumber } from 'ethers';
export declare class NKDropMintButton {
    disabled: boolean;
    loading: boolean;
    supply: number;
    maxAmount: number;
    maxPerMint: number;
    price: BigNumber;
    mintFee: BigNumber;
    erc20Price: bigint;
    saleActive: boolean;
    presaleActive: boolean;
    selections: number[];
    dialogOpen: boolean;
    selectedValue: number;
    mintSuccess: boolean;
    isMinting: boolean;
    /**
     * Title on the success modal
     */
    successTitle: string;
    /**
     * Body message on the success modal
     */
    successMessage: string;
    /**
     * Link text on the success modal
     */
    successLinkText?: string;
    /**
     * Link on the success modal
     */
    successLink?: string;
    /**
     * Image url for the success modal
     */
    successImageUrl?: string;
    /**
     * Align text on the success modal (default: left)
     */
    successTextAlign?: string;
    container: HTMLDivElement;
    select: MDCSelect | null;
    selectedText: HTMLSpanElement;
    dialogTitle: string;
    dialogMessage: string;
    dialogSuccessLinkText: string;
    dialogSuccessLink: string;
    disconnect: () => void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    disconnectedCallback(): void;
    mint(quantity: number): Promise<void>;
    private ensureERC20Allowance;
    private setSelectedText;
    private optionClasses;
    render(): any;
}
